import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

export function searchTable(check, process) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产工艺管理_工序能力_查询数据',
      param: '工序名称_check=' + check + '&工序名称=' + process
    }
  })
}
export function searchProcess(startime, endtime) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产工艺管理_各工序完成情况_查询数据',
      param: '开始时间=' + startime + '&结束时间=' + endtime
    }
  })
}
